Search Results for

Show / Hide Table of Contents

# Class ProgressBarStyle

Specifies the style that a ProgressBar uses to indicate the progress of an operation.

##### Inheritance

System.Object
ProgressBarStyle

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public sealed class ProgressBarStyle : Enum

### Fields

#### Blocks

Indicates progress by increasing the number of segmented blocks in a ProgressBar.

##### Declaration

    public const ProgressBarStyle Blocks

##### Field Value

Type | Description
--- | ---
ProgressBarStyle |

#### Continuous

Indicates progress by increasing the size of a smooth, continuous bar in a ProgressBar.

##### Declaration

    public const ProgressBarStyle Continuous

##### Field Value

Type | Description
--- | ---
ProgressBarStyle |

#### MarqueeBlocks

Indicates progress by continuously scrolling a block across a ProgressBar in a marquee fashion.

##### Declaration

    public const ProgressBarStyle MarqueeBlocks

##### Field Value

Type | Description
--- | ---
ProgressBarStyle |

#### MarqueeContinuous

Indicates progress by continuously scrolling a block across a ProgressBar in a marquee fashion.

##### Declaration

    public const ProgressBarStyle MarqueeContinuous

##### Field Value

Type | Description
--- | ---
ProgressBarStyle |

#### value__

##### Declaration

    public int value__

##### Field Value

Type | Description
--- | ---
System.Int32 |